package cn.com.ctop.kuaishou.modules.document.mapper;

import cn.com.ctop.kuaishou.modules.document.entity.DocumentLibraryInfo;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface DocumentLibraryMapper {

    void saveDocumentLibrary(DocumentLibraryInfo documentLibraryInfo);

    List<JSONObject> getDocumentLibraryList(@Param("list") List<String> list, @Param("keywords") String keywords, @Param("startDate") String startDate, @Param("endDate") String endDate, @Param("status") String status);

    void updateStatus(@Param("copyWriterId") String copyWriterId, @Param("status") String status);

    List<JSONObject> getRefusedList(@Param("copyWriterId") String copyWriterId);

    List<String> getAcoountId(@Param("copyWriterId") String copyWriterId);

    List<String> getDataByAccountId(@Param("accountId") String accountId, @Param("copyWriterId") String copyWriterId);

    List<Map<String, String>> getDocumentByAccountId(@Param("accountId") String accountId, @Param("copyWriterId") String copyWriterId);

    void insertBatch(@Param("list") List<DocumentLibraryInfo> list);

}
